Bug 16710 - Option --display is ignored
Option --display is ignored
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-21 22:18 EDT by Michal Jaegermann
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-07 17:12:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2000-08-21 22:18:40 EDT
'gnome-terminal' claims to have an option '--display=DISPLAY'.
If another display is present then

   gnome-terminal --display=:0.1

(also with obvious variants of this display specification) still opens a
terminal window on a display :0.0.  At the same time 'xterm', 'rxvt' and
'kvt' called with an option '-display :0.1'  do open their windows on a
requested display.  Only this command:
  
   DISPLAY=:0.1 gnome-terminal

makes a terminal window to show up on a desired screen.

Once multidisplay arrangements will become more popular a priority
of this bug will be considerably higher.

  Michal
  michal@harddata.com
Comment 1 Elliot Lee 2001-02-01 20:28:33 EST
Confirmed. This is a generic gnome-libs bug, not gnome-terminal.
Comment 2 Owen Taylor 2001-02-07 12:24:49 EST
This is really a bug in gnome-libs, but some changes to GTK+
that are in CVS and scheduled for GTK+-1.2.9 will make the
problem go away.

Once I get a package for GTK+ into the distribution with
these fixes, I'll close the bug.
Comment 3 Elliot Lee 2001-02-07 17:12:17 EST
After debugging gnome-libs, it appears to construct a completely valid argc/argv
and pass it to gtk_init(), and yet gdk did not pick it up. The same behaviour
happens with a standalone gtk+ application.It would seem that gtk+ is at fault
w/o any help from gnome-libs.
Comment 4 Owen Taylor 2001-07-17 18:30:00 EDT
Was fixed in GTK+-1.29, which was in 7.1

Mon Jan 29 18:33:24 2001  Owen Taylor  <otaylor@redhat.com>

        * gdk/gdk.c (gdk_init_check): Handle --display= forms
        of options taking arguments. Fix some memory leaks with
        repeated arguments. (#28842, Sam Hunter)


Note You need to log in before you can comment on or make changes to this bug.